<template>
  <v-container>
    <v-row
      justify="center"
      align="center"
    >
      <v-col
        lg="10"
        md="12"
      >
        <v-row
          justify="center"
          align="center"
        >
          <v-col
            v-if="communityDisplay"
            cols="4"
            xl="3"
          >
            <v-card
              class="secondary--text"
              tile
            >
              <v-responsive :aspect-ratio="1">
                <v-card-title
                  class="headline justify-center font-weight-black"
                >
                  {{ this.$t('community.title') }}
                </v-card-title>
                <v-card-text>
                  <v-row
                    align="center"
                    justify="center"
                    class="pt-3"
                  >
                    <v-col cols="5">
                      <img
                        :src="imageLink + 'movici_communaute.svg'"
                        class="secondary--text lighten-3"
                      >
                    </v-col>
                  </v-row>
                </v-card-text>
                <v-card-actions class="card-actions">
                  <v-row
                    justify="center"
                  >
                    <v-btn
                      rounded
                      class="mb-4 pa-6 title white--text secondary text-none font-weight-black"
                      :href="$t('community.button.route')"
                    >
                      {{ this.$t('community.button.label') }}
                    </v-btn>
                  </v-row>
                </v-card-actions>
              </v-responsive>
            </v-card>
          </v-col>

          <v-col
            v-if="eventDisplay"
            cols="4"
            xl="3"
            offset="0"
            offset-lg="2"
          >
            <v-card
              class="white--text"
              color="secondary"
              flat
              tile
            >
              <v-responsive :aspect-ratio="1">
                <v-card-title
                  class="headline justify-center font-weight-black"
                >
                  {{ this.$t('event.title') }}
                </v-card-title>
                <v-card-text>
                  <v-row
                    align="center"
                    justify="center"
                    class="pt-3"
                  >
                    <v-col cols="5">
                      <img
                        :src="imageLink + 'movici_evenement.svg'"
                      >
                    </v-col>
                  </v-row>
                </v-card-text>
                <v-card-actions class="card-actions">
                  <v-row
                    justify="center"
                  >
                    <v-btn
                      rounded
                      class="mb-4 pa-6 title primary--text primary text-none font-weight-black"
                      :href="$t('event.button.route')"
                    >
                      {{ this.$t('event.button.label') }}
                    </v-btn>
                  </v-row>
                </v-card-actions>
              </v-responsive>
            </v-card>
          </v-col>
        </v-row>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
import {merge} from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/HomeContent/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/HomeContent/";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  props: {
    solidaryDisplay: {
      type: Boolean,
      default: false
    },
    eventDisplay: {
      type: Boolean,
      default: false
    },
    communityDisplay: {
      type: Boolean,
      default: false
    },
    imageLink: {
      type: String,
      default: ""
    }
  },
  data () {
    return {
    }
  }
}
</script>